﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

namespace CarFire
{
    public interface ICharacter : IEntity
    {
        int Health { get; }
        void causeDamageTo(int amount);
    }

    public interface IPlayer : ICharacter
    {
        void MovePlayer(TimeSpan timeSpan, List<Keys> keysPressed);
        int Score { get; }
        void powerUp(int amount);
        void Spawn(Vector2 spawn);
        bool alive { get; }
    }

    public interface IMonster : ICharacter
    {
        bool visible { get; }
    }
}
